Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-acoustid
%global oname   pyacoustid

Summary:        Python bindings for Chromaprint acoustic fingerprinting and the Acoustid API
Name:           python-module-acoustid
Version:        0.7
Release:        alt1_4
License:        MIT
URL:            http://pypi.python.org/pypi/pyacoustid
Source0:        http://pypi.python.org/packages/source/p/pyacoustid/pyacoustid-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Requires:       libchromaprint0
Source44: import.info

%description
Chromaprint and its associated Acoustid Web service make up a
high-quality, open-source acoustic fingerprinting system. This package
provides Python bindings for both the fingerprinting algorithm
library, which is written in C but portable, and the Web service,
which provides fingerprint look ups.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst aidmatch.py
%{python_sitelibdir_noarch}/acoustid.py*
%{python_sitelibdir_noarch}/chromaprint.py*
%{python_sitelibdir_noarch}/pyacoustid-%{version}-*.egg-info/


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_4
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- initial fc import

